package com.prolog.cs.biz.inbound.service.task;

import com.prolog.cs.biz.inbound.dto.PageParam;
import com.prolog.cs.biz.inbound.dto.task.TaskHostedDetailDTO;
import com.prolog.framework.core.pojo.Page;

import java.util.List;

/**
 * @Description  
 * @Date 2021-03-24 
 */

public interface TaskHostedDetailService {

	/**
 	* @Description   
 	* @Date 2021-03-24 
 	* add TaskHostedDetailDTO 
 	*/
	public Object add(TaskHostedDetailDTO taskHostedDetailDTO);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* edit TaskHostedDetailDTO 
 	*/
	public Object edit(String pkId,TaskHostedDetailDTO taskHostedDetailDTO);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* delete TaskHostedDetailDTO 
 	*/
	public Object deletePkId(String pkId);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* delete TaskHostedDetailDTO 
 	*/
	public Object delIds(List<String> pkIdList);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* page condition search TaskHostedDetailDTO 
 	*/
	public Page<TaskHostedDetailDTO> findList(TaskHostedDetailDTO taskHostedDetailDTO,PageParam pageParam);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* batchAdd TaskHostedDetailDTO 
 	*/
	public Object batchAdd(List<TaskHostedDetailDTO> taskHostedDetailDTOList);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* batchEdit TaskHostedDetailDTO 
 	*/
	public Object batchEdit(List<TaskHostedDetailDTO> taskHostedDetailDTOList);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* condition search all TaskHostedDetailDTO 
 	*/
	public List<TaskHostedDetailDTO> findAll(TaskHostedDetailDTO taskHostedDetailDTO);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* findOne TaskHostedDetailDTO 
 	*/
	public TaskHostedDetailDTO findByPkId(String pkId);
}
